%define daemon_user monitor

%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define web_user wwwrun
%define httpdservice apache2
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
%define httpdservice httpd
%endif

Summary: Ninja integration for Logger
Name: op5-logserver-gui
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/logserver
License: op5 Software License
Prefix: /opt/monitor/op5/ninja/modules
Source0: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

Obsoletes: op5-logserver-auth, op5-logserver-reports
Requires: php-op5lib
Requires: monitor-ninja
Requires: op5-syslog-ng >= 4.0.0
Requires: op5-logserver-db >= 4.0.0
Requires: op5license
BuildRequires: monitor-ninja-devel

%if 0%{?suse_version}
Requires: php53-pgsql
%else
BuildRequires: php-cli
Requires: php-pgsql
%endif

%prep
%setup -q


%description
Ninja integration for Logger

%package test
Summary: Tests for the Logger GUI
Group: op5/logserver
Requires: rubygem20-op5cucumber
Requires: op5license-generator

%description test
Tests for the Logger GUI


%install
rm -rf %buildroot
mkdir -p -m 755 %buildroot%prefix
cp -r logger %buildroot%prefix/logger

%build
make

%post
service %httpdservice restart
existing=$(mysql -sN -uroot merlin -e 'select count(1) from scheduled_report_types where identifier = "logger"')
if [ "$existing" -eq "0" ]; then
	mysql -uroot merlin -e "INSERT INTO scheduled_report_types (name, identifier) VALUES ('Logger archive reports', 'logger')";
fi

%postun


%files
%defattr(644,%daemon_user,%daemon_group,755)
%prefix/logger

%files test
#nope
%exclude /

%clean
rm -rf %buildroot


%changelog
